Fork me on GitHub
Fork me on GitHub
Donar Ahora!
Seleccione una cantidad para donar


¿Quiere que su nombre de usuario sea revelado con su donación?
Si - Listeme como un geneoso donante
No - Liste mi donación como un donante anónimo


Usuario
Bienvenido
Haz click para registrarte. Es gratuito y podrás utilizar todos los recursos de la web

Login

Recuerdame

¿Perdió su contraseña?


Online
Conectados: 18
Miembros: 0
Invitados: 18
Buscadores: 0

Estadísticas
Nuevos miembros: [BillyStilw-25/10/2017] [Teacher194-24/10/2017] [TimmyAngel-18/10/2017] [Leblanc-18/10/2017] [HealthyNut-17/10/2017] [HalliePerk-12/10/2017] [ShadBlais-8/10/2017] [WilburCruc-1/10/2017] [Ulanowski7-25/9/2017] [KaleyKlem-23/9/2017]
Registrados: 30176
Hoy: 0
Ayer: 0

Conectados:
usInvitadoForos
usInvitado
krInvitadoPerfiles extendidos
usInvitadoForos
usInvitadoForos
usInvitadoNoticias
noInvitado
usInvitadoForos
onlineInvitadoPerfiles extendidos
usInvitadoForos
usInvitadoForos
usInvitadoForos
noInvitado
usInvitadoForos
usInvitadoForos
usInvitadoForos
usInvitadoForos
usInvitadoForos
XOOPS : Liberado XOOPS 2.56 Final
Enviado por oswaldo el 29/4/2013 21:50:00 (13280 Lecturas)

El equipo de desarrollo de XOOPS se complace en anunciar el lanzamiento de XOOPS 2.5.6 Final.

Su liberación se centra en hacer XOOPS 2.5.6 compatible con PHP 5.4.x, en el incremento de la seguridad, y en la actualización de bibliotecas externas a sus últimas versiones:

- Smarty 2.6.27
- TinyMCE 3.5.8
- JQuery 1.8.3
- JQueryUI 1.10
Dado que esta versión incluye mejoras de seguridad, se recomienda encarecidamente actualizar a esta versión antes posible!
Ver el Registro de cambios para obtener más detalles.
NOTA IMPORTANTE:
-----------------------------------
Debido a los cambios relacionados con la seguridad, puede ocurrir que en uno o dos módulos no funcione el guardad de los permisos de administración. Estamos finalizando el paquete de módulos básicos, donde todos los módulos han sido probados en XOOPS 2.5.6. 
Este pendiente de la publicación de todos los módulos actualizados en los próximos días en este sitio web pondremos un anuncio especial sobre los módulos actualizados, o pregunta en los foros.
Usted puede leer la información más detallada acerca de cómo repararlo usted mismo en la carpeta /docs en el archivo: "fixing_permissions.txt"

 



 

Por favor, publicar y debatir todas las cuestiones relacionadas con este lanzamiento en este Foro 
También tenemos que ayudar con las traducciones que utilizan Transifex 
Requisitos del sistema 
----------------------------------- 
PHP: 
Cualquier versión de PHP> = 5.2 (PHP 5.3 + Es muy recomendable) 
MySQL: 
MySQL Server 5.0 + 
Servidor Web: 
Cualquier servidor que soporte la versión PHP requerida (Apache muy recomendable) 
XOOPS Descarga 
----------------------------------- 
Usted puede obtener este paquete de la versión del repositorio de Sourceforge. 
Hay. Zip y. Archivos gz previstas. 
XOOPS Instalación (nueva instalación) 
----------------------------------- 
1. Copie el contenido del directorio htdocs / donde se puede acceder a su servidor 
2. Asegúrese mainfile.php y carga / son permisos de escritura para el servidor web 
3. Por razones de seguridad, se recomienda mover directorios "/ xoops_lib" (para las bibliotecas de XOOPS) y "/ xoops_data" (para los datos de XOOPS) fuera del documento raíz, y cambiar los nombres de carpeta. 
4. Asegúrese de que los directorios: 
- Uploads /, 
- Uploads / avatars / 
- Uploads / images / 
- Uploads / filas / 
- Uploads / smilies / 
- Xoops_lib / modules / protector / configs / 
y archivos: 
- Mainfile.php y 
- Include / license.php 
son permisos de escritura para el servidor web 
5. Acceda a la carpeta en la que instaló los htdocs / archivos usando el explorador web para iniciar el asistente de instalación 
DOCUMENTACIÓN: echa un vistazo a la guía de instalación detallada y la Guía de operaciones por favor 
Instalar un protector de XOOPS 
----------------------------------- 
También recomendamos la instalación del módulo PROTECTOR que traerá la protección de seguridad adicional y capacidades de registro a su sitio. 
Actualización desde una versión anterior 
----------------------------------- 
Actualizar desde 2.5.5 a 2.5.6 final: 
1. Obtener el paquete de actualización desde el repositorio de archivos de SourceForge 
2. Sobrescribe los archivos en el directorio XOOPS en el servidor con el contenido de / htdocs 
* Asegúrese de que copia el contenido de / xoops_lib a cualquier directorio que lo guarde en el servidor actual (que debe ser el directorio actual XOOPS_TRUST_PATH), a continuación, elimine el directorio / xoops_lib. No puede haber dos directorios con el contenido de / xoops_lib 
3. Actualice el módulo "sistema" desde el administrador de módulos. Se recomienda a todos los módulos, en especial "perfil", "PM" y "Protector" para actualizar y 
Actualización desde versiones anteriores de más de 2.5.5 (Actualización completa): 
0. Compruebe los requisitos del sistema, en particular la versión de PHP. Copia de seguridad de su base de datos y el directorio del sitio XOOPS. (Hay varias maneras de hacer estas acciones, que se discuten en otros lugares.) Dar vuelta a su sitio fuera es opcional. 
Cambie los permisos en mainfile.php y / include / license.php para poder escribir, por ejemplo: 
Archivo normal Para la actualización 
mainfile.php 400 700 
/ Include / license.php 444 777 
Obtener el paquete de XOOPS 2.5.6 desde el repositorio de SourceForge. 
1. En la carpeta del paquete de actualización, mueva la carpeta "upgrade" dentro de la carpeta "htdocs", si no está ya allí. Eliminar la carpeta de instalación de la carpeta "htdocs", si está allí. Elimine el archivo mainfile.php de la carpeta "htdocs", si está allí. 
Si usted se ha movido las carpetas xoops_data y xoops_lib fuera directorio raíz de su sitio, mover estas carpetas de la carpeta "htdocs" en la carpeta del paquete de actualización. 
2. Elimine el directorio / modules / sistema en su sitio XOOPS actual (para deshacerse de los viejos archivos innecesarios). 
3. Sobrescribir los archivos en el directorio de XOOPS en su sitio XOOPS actual con el contenido de la carpeta "htdocs" del paquete de actualización. (Hay varias maneras de hacer esta acción, que se discuten en otros lugares.) 
Como se señaló anteriormente, si se trasladó, sobrescribir los archivos en su actual xoops_data y xoops_lib con el contenido de los del paquete de actualización. 
4. Si usted tiene protector instalado previamente, abra el archivo "mainfile.php" y retire la Pre-check y líneas Post-verificación (si existen): 
incluir XOOPS_TRUST_PATH '/ modules / protector / include / precheck.inc.php'.; 
incluir XOOPS_TRUST_PATH '/ modules / protector / include / postcheck.inc.php'.; 
5. Bajo la dirección de su sitio web (URL), iniciar la sesión como administrador. Acceder a / upgrade / con el navegador, y siga las instrucciones (y ninguna de actualización de la base de datos de XOOPS). Después de que se han aplicado todas las actualizaciones (marcas verdes), tenga en cuenta el vínculo en el Updater para actualizar el módulo "sistema", y lo hacen. 
6. Elimine la carpeta "upgrade" del directorio "htdocs" de su sitio. 
7. Update (reload) otros módulos, en especial "perfil", "PM" y "protector", si es necesario. 
8. Cambiar permisos sobre los archivos mencionados anteriormente a su estado normal. 
9. Dé vuelta a su sitio de nuevo, si la había apagado antes. 
Depurar nivel de visualización de la información 
----------------------------------- 
Desde XOOPS 2.3.1 debug nivel de visualización de información está habilitado como una solución temporal para los 2.3 * para mostrar información de depuración en diferentes niveles de usuarios: a todos los usuarios, a los miembros o sólo a los administradores. 
La configuración se puede establecer en / xoops_data / configs / xoopsconfig.php 
Por defecto, el nivel de visualización se establece para 2 (sólo Admin). 
Comprobación de integridad de archivos 
----------------------------------- 
El paquete completo de XOOPS es lanzado con un script capaz de verificar si todos los archivos de sistema han sido correctamente cargado en el servidor. Para usarlo, siga estas instrucciones: 
1. Cargue los archivos checksum.php y checksum.md5 ubicados en el XOOPS raíz del paquete en la carpeta de servidor de XOOPS (poniéndolos junto a mainfile.php). 
2. Ejecutar checksum.php con el navegador 
3. Si es necesario, volver a cargar los archivos de sistema falta o está dañado 
4. Retire checksum.php y checksum.md5 de su servidor 
Módulos 
----------------------------------- 
Este comunicado contiene sólo los "módulos relacionados con el sistema". Le invitamos a navegar por los módulos de nuestro repositorio para lo que necesita una funcionalidad adicional. Nota: como se está construyendo un nuevo repositorio, el repositorio actual no está al día, POR FAVOR VISITA WEBS DE LOS DESARROLLADORES PARA ASEGURAR QUE ESTÁ UTILIZANDO VERSIÓN DE MÓDULOS. 
Cómo contribuir 
----------------------------------- 
Nos gustaría dar las gracias a todos los desarrolladores que han contribuido correcciones de esta versión (Mago, ForMuss, Trabis, Mamba, DCrussader, Xaviers, CESAG, Timgno, Culex, Luciorota, Geekwright, Tatane, PMartina, Paul, Alain091, Voltan, Xoobaru) y todos nuestros usuarios que nos ayudaron con las pruebas. 
XOOPS Equipo de Desarrollo 
28 de abril 2013 
========================== 
Cambio de registro para XOOPS 2.5.6 final 
========================== 
Las revisiones de seguridad: 
- XSS / CSRF vulnerabilidad en system / admin / groupperm.php (Dingjie Yang, Qualys / Trabis) 
- XSS / CSRF vulnerabilidad en el sistema / modulesadmin / main.php (Dingjie Yang, Qualys / Trabis) 
- XSS / CSRF vulnerabilidad en system / admin / blocksadmin / main.php (Marcin, Ariko-Equipo de Seguridad / Trabis) 
- Vulnerabilidad LFI en system / admin / tplsets / jquery.php (Marcin, Ariko-Equipo de Seguridad / Trabis) 
Corrección de errores: 
- Traducciones actualizadas (CESAG, Mamba) 
- Comprobación adicional por $ NOHTML en XoopsEditorHandler-> get (luciorota) 
- La fijación de $ GLOBAL errata en jquery.php (Zyspec) 
- Matriz de conversión de cadenas (geekwright / mamba) 
- Problemas con la falta de mesa xoopscomments (geekwright / Sabahan / Mamba) 
- Solución de error con el uso de referencia para los no-variables (geekwright / mamba) 
- Número de usuarios cuando "todos los grupos" seleccionados se equivocó (tatane / mamba) 
- Fijar, por posible falta de representación css y javascript en el instalador en la última pantalla (Culex) 
- Fijar, por falta logo Protector bajo PHP 5.4 (mamba) 
- La sustitución ereg con preg_match en userutility.php (pmartina / paul) 
- # 1219 dhtmltextarea editor acento no aparece (cesag/alain091) 
- Añadió falta convocatoria de idioma del usuario en / profile / index.php (xoobaru / zyspec) 
- Los errores relacionados con las funciones estáticas, por lo que funciona en PHP 5.4 (Mamba) 
- Error # 1245 en la clase XoopsLoad.php (Alain91) 
Actualizado: 
- TinyMCE a 3.5.8 (mamba) 
- Smarty a 2.6.27 (mamba) 
- JQuery 1.8.3 (mamba) 
- JQueryUI a la versión 1.10 (mamba) 
Añadido: 
- Fast Hack Comentarios (Voltan) 
Idiomas: 
Añadir / suprimir DEFINE
Por favor, publicar y debatir todas las cuestiones relacionadas con este lanzamiento en este Foro 
Requisitos del sistema 
----------------------------------- 
PHP: 
Cualquier versión de PHP> = 5.2 (PHP 5.3 + Es muy recomendable) 
MySQL: 
MySQL Server 5.0 + 
Servidor Web: 
Cualquier servidor que soporte la versión PHP requerida (Apache muy recomendable) 
XOOPS Descarga 
----------------------------------- 
Instalación de XOOPS  (nueva instalación) 
----------------------------------- 
1. Copie el contenido del directorio htdocs/ donde se puede acceder a su servidor.
 
2. Asegúrese de que mainfile.php y upload/ tengan permisos de escritura para el servidor web.
3. Por razones de seguridad, se recomienda mover directorios "/xoops_lib" (para las bibliotecas de XOOPS) y "/xoops_data" (para los datos de XOOPS) fuera del documento raíz, y cambiar los nombres de carpeta. 
4. Asegúrese de que los directorios: 
- Uploads/, 
- Uploads/avatars/ 
- Uploads/ images/ 
- Uploads/ files/ 
- Uploads / smilies / 
- Xoops_lib/ modules/ protector/configs/ 
y archivos: 
- Mainfile.php y 
- Include / license.php 
tengan permisos de escritura para el servidor web 
5. Acceda a la carpeta en la que instaló los archivos de htdocs/ usando el explorador web para iniciar el asistente de instalación 
Instalar protector de XOOPS 
----------------------------------- 
También recomendamos la instalación del módulo PROTECTOR que traerá la protección de seguridad adicional y capacidades de registro a su sitio. 
Actualización desde una versión anterior 
----------------------------------- 
Actualizar desde 2.5.5 a 2.5.6 final: 
1. Obtener el paquete de actualización desde el repositorio de archivos.
2. Sobrescribir los archivos en el directorio XOOPS en el servidor con el contenido de /htdocs.
 
* Asegúrese de que copia el contenido de /xoops_lib a cualquier directorio que lo guarde en el servidor actual (que debe ser el directorio actual
XOOPS_TRUST_PATH), a continuación, elimine el directorio /xoops_lib. No puede haber dos directorios con el contenido de /xoops_lib 
3. Actualice el módulo "system" desde el administrador de módulos. Se recomienda actualizar todos los módulos, en especial "profile", "PM" y "Protector" 
Actualización desde versiones anteriores de más de 2.5.5 (Actualización completa): 
0. Compruebe los requisitos del sistema, en particular la versión de PHP. Haga copia de seguridad de su base de datos y el directorio del sitio XOOPS. (Hay varias maneras de hacer estas acciones, que se discuten en otros lugares.) Desactivar su sitio es opcional. 
Cambie los permisos en mainfile.php e /include/license.php para poder escribir, por ejemplo: 
Archivo normal Para la actualización 
mainfile.php 400 700 
/ Include / license.php 444 777 
Obtener el paquete de XOOPS 2.5.6
 
1. En la carpeta del paquete de actualización, mueva la carpeta "upgrade" dentro de la carpeta "htdocs", si no está ya allí. Elimine la carpeta de instalación de la carpeta "htdocs", si está allí. Elimine el archivo mainfile.php de la carpeta "htdocs", si está allí.
 
Si usted se ha movido las carpetas xoops_data y xoops_lib fuera directorio raíz de su sitio, remover estas carpetas de la carpeta "htdocs" en la carpeta del paquete de actualización.
 
2. Elimine el directorio /modules/system en su sitio XOOPS actual (para deshacerse de los viejos archivos innecesarios). 
3. Sobrescribir los archivos en el directorio de XOOPS en su sitio XOOPS actual con el contenido de la carpeta "htdocs" del paquete de actualización. (Hay varias maneras de hacer esta acción, que se discuten en otros lugares.) 
Como se señaló anteriormente, si se trasladó, sobrescribir los archivos en su actual xoops_data y xoops_lib con el contenido de los del paquete de actualización. 
4. Si usted tiene protector instalado previamente, abra el archivo "mainfile.php" y retire las lineas Pre-check y Post-check (si existen): 
include XOOPS_TRUST_PATH '/modules/protector/ include/precheck.inc.php'.; 
include XOOPS_TRUST_PATH '/modules/protector/include/postcheck.inc.php'.; 
5. En la dirección de su sitio web (URL), iniciar la sesión como administrador.
Acceder a/upgrade/ con el navegador, y siga las instrucciones (y ninguna de actualización de la base de datos de XOOPS). Después de que se han aplicado todas las actualizaciones (marcas verdes), tenga en cuenta el vínculo en el Updater para actualizar el módulo "system", y lo hace. 
6. Elimine la carpeta "upgrade" del directorio "htdocs" de su sitio. 
7. Actualize (reload) otros módulos, en especial "profile", "PM" y "protector", si es necesario. 
8. Cambie permisos sobre los archivos mencionados anteriormente a su estado normal. 
9. Active su sitio de nuevo, si la había desactivado antes. 
Nos gustaría dar las gracias a todos los desarrolladores que han contribuido correcciones de esta versión (Mago, ForMuss, Trabis, Mamba, DCrussader, Xaviers, CESAG, Timgno, Culex, Luciorota, Geekwright, Tatane, PMartina, Paul, Alain091, Voltan, Xoobaru) y todos nuestros usuarios que nos ayudaron con las pruebas. 
XOOPS Equipo de Desarrollo 
28 de abril 2013 
========================== 
Cambio de registro para XOOPS 2.5.6 final 
========================== 
Las revisiones de seguridad: 
- XSS / CSRF vulnerabilidad en system / admin / groupperm.php (Dingjie Yang, Qualys / Trabis) 
- XSS / CSRF vulnerabilidad en el sistema / modulesadmin / main.php (Dingjie Yang, Qualys / Trabis) 
- XSS / CSRF vulnerabilidad en system / admin / blocksadmin / main.php (Marcin, Ariko-Equipo de Seguridad / Trabis) 
- Vulnerabilidad LFI en system / admin / tplsets / jquery.php (Marcin, Ariko-Equipo de Seguridad / Trabis) 
Corrección de errores: 
- Traducciones actualizadas (CESAG, Mamba) 
- Comprobación adicional por $ NOHTML en XoopsEditorHandler-> get (luciorota) 
- La fijación de $ GLOBAL errata en jquery.php (Zyspec) 
- Matriz de conversión de cadenas (geekwright / mamba) 
- Problemas con la falta de mesa xoopscomments (geekwright / Sabahan / Mamba) 
- Solución de error con el uso de referencia para los no-variables (geekwright / mamba) 
- Número de usuarios cuando "todos los grupos" seleccionados se equivocó (tatane / mamba) 
- Fijar, por posible falta de representación css y javascript en el instalador en la última pantalla (Culex) 
- Fijar, por falta logo Protector bajo PHP 5.4 (mamba) 
- La sustitución ereg con preg_match en userutility.php (pmartina / paul) 
- # 1219 dhtmltextarea editor acento no aparece (cesag/alain091) 
- Añadió falta convocatoria de idioma del usuario en / profile / index.php (xoobaru / zyspec) 
- Los errores relacionados con las funciones estáticas, por lo que funciona en PHP 5.4 (Mamba) 
- Error # 1245 en la clase XoopsLoad.php (Alain91) 
Actualizado: 
- TinyMCE a 3.5.8 (mamba) 
- Smarty a 2.6.27 (mamba) 
- JQuery 1.8.3 (mamba) 
- JQueryUI a la versión 1.10 (mamba) 
Añadido: 
- Fast Hack Comentarios (Voltan) 




Otras noticias
10/6/2016 4:21:05 - XOOPS 2.5.8 Final Español
14/10/2014 16:50:00 - Tutorial 1: Adaptando Plantillas HTML y CSS a XOOPS
23/6/2014 5:30:00 - Lanzamiento de XOOPS 2.5.7 Final
8/7/2013 3:40:00 - Diseño Web Adaptativo (Responsive Web Design)
21/6/2013 7:16:21 - Cambio de servidor

Los usuarios son responsables de sus propios comentarios.